avl_base.hpp File Reference

Base implementation for the AVL Binary search tree. More...

`#include <iterator>`
`#include <cstddef>`
`#include <claw/binary_node.hpp>`
`#include <claw/impl/avl_base.tpp>`

Go to the source code of this file.

## Classes

class | claw::avl_base< K, Comp >
| Binary search tree base AVL implementation. More...
class | claw::avl_base< K, Comp >::avl_iterator
| AVL iterator. More...
class | claw::avl_base< K, Comp >::avl_const_iterator
| AVL iterator. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

Base implementation for the AVL Binary search tree.

Author
  Julien Jorge

Definition in file avl_base.hpp.